Package org.talend.transform.runtime.api

# Interface MajorSection

All Superinterfaces:
  `Section`

public interface MajorSection extends Section
A section that contains other sections, this is used in EDI for the envelop segments.

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getAdditionalIdentifiers()`
Additional identifiers.
`String`
`getControlNumber()`
Control identification (sequence number) of the section.
`String`
`getReceiver()`
Identifier of the sender of the section.
`String`
`getReceiverQualifier()`
Qualification type of the receiver of the section.
`List<Section>`
`getSections()`
Enclosed sections
`String`
`getSender()`
Identifier of the sender of the section.
`String`
`getSenderQualifier()`
Qualification type of the sender of the section.

### Methods inherited from interface org.talend.transform.runtime.api.Section

`getColumnNumber, getEnclosingSection, getIdentifier, getLineNumber, getPosition, getStatusItems`

## Method Details

### getAdditionalIdentifiers

List<String> getAdditionalIdentifiers()
Additional identifiers. See below for the meaning of this.

- X12 GS - Functional Group
- X12 ST - Transaction Set Id

### getSenderQualifier

String getSenderQualifier()
Qualification type of the sender of the section.

### getSender

String getSender()
Identifier of the sender of the section.

### getReceiverQualifier

String getReceiverQualifier()
Qualification type of the receiver of the section.

### getReceiver

String getReceiver()
Identifier of the sender of the section.

### getControlNumber

String getControlNumber()
Control identification (sequence number) of the section.

### getSections

List<Section> getSections()
Enclosed sections